diff -Nru devscripts-2.10.69+squeeze1/debian/changelog devscripts-2.10.70/debian/changelog
--- devscripts-2.10.69+squeeze1/debian/changelog	2011-02-06 15:04:09.000000000 +0900
+++ devscripts-2.10.70/debian/changelog	2011-04-30 00:13:50.614666213 +0900
@@ -1,3 +1,11 @@
+devscripts (2.10.70) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * Added dquilt as a wrapper for quilt used for the 3.0 (quilt) source
+    format.
+
+ -- Osamu Aoki <osamu@debian.org>  Sat, 30 Apr 2011 00:10:52 +0900
+
 devscripts (2.10.69+squeeze1) stable; urgency=low
 
   * bts: Accept the "wheezy" and "wheezy-ignore" tags.
diff -Nru devscripts-2.10.69+squeeze1/debian/control devscripts-2.10.70/debian/control
--- devscripts-2.10.69+squeeze1/debian/control	2011-02-06 15:04:09.000000000 +0900
+++ devscripts-2.10.70/debian/control	2011-04-30 00:06:57.725674603 +0900
@@ -18,7 +18,7 @@
  libcrypt-ssleay-perl, libparse-debcontrol-perl, libsoap-lite-perl,
  libterm-size-perl, libtimedate-perl, liburi-perl, libwww-perl,
  libyaml-syck-perl, lintian, lsb-release, bsd-mailx | mailx,
- man-db, patch, patchutils, ssh-client, strace, unzip, wdiff, www-browser,
+ man-db, patch, patchutils, quilt, ssh-client, strace, unzip, wdiff, www-browser,
  subversion | cvs | darcs | tla | bzr | git-core | mercurial, lzma,
  xz-utils, sensible-utils, libjson-perl
 Suggests: build-essential, cvs-buildpackage, devscripts-el, gnuplot,
@@ -88,6 +88,10 @@
     control field needed [build-essential, strace]
   - diff2patches: extract patches from a .diff.gz file placing them  under
     debian/ or, if present, debian/patches [patchutils]
+  - dquilt: A wrapper program for quilt which forces to use an alternative
+    configuration file at ~/.quiltrc-dpkg (or /etc/quilt.quiltrc-dpkg if
+    ~/.quiltrc-dpkg does not exist) for managing the 3.0 (quilt) source 
+    format [quilt]
   - dscverify: verify the integrity of a Debian package from the
     .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
   - getbuildlog: download package build logs from Debian auto-builders [wget]
diff -Nru devscripts-2.10.69+squeeze1/debian/install devscripts-2.10.70/debian/install
--- devscripts-2.10.69+squeeze1/debian/install	2011-02-06 15:04:09.000000000 +0900
+++ devscripts-2.10.70/debian/install	2011-04-29 23:55:23.910717101 +0900
@@ -1,2 +1,3 @@
 debian/bug/* /usr/share/bug/devscripts
 cowpoke.conf /etc
+quilt.quiltrc-dpkg /etc
diff -Nru devscripts-2.10.69+squeeze1/quilt.quiltrc-dpkg devscripts-2.10.70/quilt.quiltrc-dpkg
--- devscripts-2.10.69+squeeze1/quilt.quiltrc-dpkg	1970-01-01 09:00:00.000000000 +0900
+++ devscripts-2.10.70/quilt.quiltrc-dpkg	2011-04-23 01:36:51.000000000 +0900
@@ -0,0 +1,11 @@
+d=. ; while [ ! -d "$d/debian" -a `readlink -e $d` != / ]; do d="$d/.."; done
+if [ -d "$d/debian" ] && [ -z "$QUILT_PATCHES" ]; then
+  # Debian packaging case and unset $QUILT_PATCHES
+  QUILT_PATCHES=debian/patches
+  QUILT_PATCH_OPTS="--unified-reject-files"
+  QUILT_DIFF_ARGS="-p ab --no-timestamps --no-index --color=auto"
+  QUILT_REFRESH_ARGS="-p ab --no-timestamps --no-index"
+  QUILT_COLORS="diff_hdr=1;32:diff_add=1;34:diff_rem=1;31:diff_hunk=1;33:diff_ctx=35:diff_cctx=33"
+  if ! [ -d $d/debian/patches ]; then mkdir $d/debian/patches; fi
+fi
+
diff -Nru devscripts-2.10.69+squeeze1/README devscripts-2.10.70/README
--- devscripts-2.10.69+squeeze1/README	2011-02-06 15:04:09.000000000 +0900
+++ devscripts-2.10.70/README	2011-04-30 00:06:04.549686162 +0900
@@ -152,6 +152,11 @@
   when trying to determine the packages needed in the Build-Depends etc.
   lines in the debian/control file. [build-essential, strace]
 
+- dquilt: A wrapper program for quilt which forces to use an alternative
+  configuration file at ~/.quiltrc-dpkg (or /etc/quilt.quiltrc-dpkg if
+  ~/.quiltrc-dpkg does not exist) for managing the 3.0 (quilt) source 
+  format. [quilt]
+
 - dscverify: check the signature and MD5 sums of a dsc file against the most
   current Debian keyring on your system. [gnupg, debian-keyring, 
   libdigest-md5-perl]
@@ -240,22 +245,25 @@
 
 2. Editing of files
 
-3. Log the changes with: dch -i "I changed this"
+3. Recording changes as the quilt patch queue using dquilt for 
+   the 3.0 (quilt) source format.
+
+4. Log the changes with: dch -i "I changed this"
    If desired, use debcommit to commit changes to cvs, svn, arch or git.
 
-4. Run debuild to compile it.  If it fails, return to 2.  (You could
+5. Run debuild to compile it.  If it fails, return to 2.  (You could
    also just test the compilation by running the appropriate part of
    debian/rules.)
 
-5. Check if package contents appear to be ok with "debc"
+6. Check if package contents appear to be ok with "debc"
 
-6. Install the package with "debi" and test the functionality it
+7. Install the package with "debi" and test the functionality it
    should provide.  (Note that this step requires debpkg to be setuid
    root, or you to be logged in as root or similar.)
 
-7. If all is ok release it by running debrelease.
+8. If all is ok release it by running debrelease.
 
-8. Optionally, use debcommit --release to commit and tag the release
+9. Optionally, use debcommit --release to commit and tag the release
    in revision control.
 
 
diff -Nru devscripts-2.10.69+squeeze1/scripts/dquilt.1 devscripts-2.10.70/scripts/dquilt.1
--- devscripts-2.10.69+squeeze1/scripts/dquilt.1	1970-01-01 09:00:00.000000000 +0900
+++ devscripts-2.10.70/scripts/dquilt.1	2011-04-30 00:10:31.514662799 +0900
@@ -0,0 +1,13 @@
+.TH DEBPKG 1 "Debian Utilities" "DEBIAN" \" -*- nroff -*-
+.SH NAME
+dquilt \- wrapper for quilt
+.SH SYNOPSIS
+\fBdquilt\fP \fIcommand [options]\fP
+.SH DESCRIPTION
+\fBdquilt\fR simply invokes \fBquilt\fP(1) with an alternative
+configuration file at i\fB~/.quiltrc-dpkg\fP (or \fB/etc/quilt.quiltrc-dpkg\fP if
+\fB~/.quiltrc-dpkg\fP does not exist) for managing the 3.0 (quilt) source format.
+.SH REQUIREMENTS
+\fBquilt\fP must be installed and this is executed in the Debianized source tree.
+.SH AUTHOR
+Osamu Aoki <osamu@debian.org>.
diff -Nru devscripts-2.10.69+squeeze1/scripts/dquilt.sh devscripts-2.10.70/scripts/dquilt.sh
--- devscripts-2.10.69+squeeze1/scripts/dquilt.sh	1970-01-01 09:00:00.000000000 +0900
+++ devscripts-2.10.70/scripts/dquilt.sh	2011-04-30 00:07:56.693686597 +0900
@@ -0,0 +1,22 @@
+#!/bin/sh -e
+# (C) 2011, Osamu Aoki  <osamu@debian.org>, GPL2+
+PROGNAME=`basename $0`
+
+if [ $# -eq 0 ] || [ "$1" = "-h" ] || [ "$1" = "--help" ]; then
+	cat <<EOF
+Usage: $PROGNAME command [options]
+
+This is a wrapper program for quilt which forces to use an alternative
+configuration file at ~/.quiltrc-dpkg (or /etc/quilt.quiltrc-dpkg if
+~/.quiltrc-dpkg does not exist) for managing the 3.0 (quilt) source format.
+===
+EOF
+	quilt -h
+	exit 1
+fi
+
+if [ -r ~/.quiltrc-dpkg ]; then
+	quilt --quiltrc ~/.quiltrc-dpkg "$@"
+else
+	quilt --quiltrc /etc/quilt.quiltrc-dpkg "$@"
+fi
